View Issue Details

IDProjectCategoryView StatusLast Update
0014112mantisbtbugtrackerpublic2014-12-08 00:33
ReporterAbsolutelyFreeWebAssigned Tograngeway 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.2.8 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0014112: maximum execution time when uploading
Description

It is possible to set the execution time from within the code. It is especially convenient for uploading files, because you normally (on other pages) like to restrict php with much shorter time.

When setting the file size bigger in the config_inc , not having this setting will default to 30 seconds which prevents the upload:

PHP Fatal error: Maximum execution time of 30 seconds exceeded in C:\Inetpub\vhosts\finexe.com\subdomains\dev\httpdocs\bug_file_add.php on line 28

Steps To Reproduce

make sure php ini file allows big files
upload a big file on a slow connection

TagsNo tags attached.

Relationships

has duplicate 0016465 closedatrol timeout when uploading large files 

Activities

AbsolutelyFreeWeb

AbsolutelyFreeWeb

2012-03-30 10:40

reporter   ~0031574

add bug_file_add.php to set_time_limit(0), that works

Related Changesets

MantisBT: master c14bc8ad

2014-09-24 16:16:37

Paul Richards

Details Diff
Fix 0014112: maximum execution time when uploading
mod - bug_file_add.php Diff File

Issue History

Date Modified Username Field Change
2012-03-30 10:28 AbsolutelyFreeWeb New Issue
2012-03-30 10:40 AbsolutelyFreeWeb Note Added: 0031574
2013-10-09 06:09 atrol Relationship added has duplicate 0016465
2014-09-28 17:51 Changeset attached => MantisBT master c14bc8ad
2014-10-03 16:56 grangeway Status new => resolved
2014-10-03 16:56 grangeway Fixed in Version => 1.3.0-beta.1
2014-10-03 16:56 grangeway Resolution open => fixed
2014-10-03 16:56 grangeway Assigned To => grangeway
2014-10-05 02:58 atrol Target Version => 1.3.0-beta.1
2014-12-08 00:33 vboctor Status resolved => closed